<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="cn.iocoder.yudao.module.knowledge.mapper.TRfeuTaskMapper">

<update id="updateByCode">
        UPDATE t_rfeu_task
        SET
            deleted = '1'
        WHERE rfec_id = #{id}
</update>

    <select id="selectByCode" resultType="cn.iocoder.yudao.module.knowledge.entity.TRfeuTask">

-- 可优化，使用字段 比*更好
        select
               *
        from t_rfeu_task
        <if test="code !='' and code !=null">
            where rfec_id = #{code}
        </if>
        order by id
    </select>
</mapper>

